package geometrija;

import java.util.ArrayList;
import java.util.List;

public class Skupek extends Lik {
	List<Lik> liki;
	
	public Skupek(double x, double y) {
		super(x, y);
		liki = new ArrayList<Lik>();
	}
	
	/**
	 * Skupku likov dodaj lik.
	 * @param l
	 */
	public void dodajLik(Lik l) {
		this.liki.add(l);
	}

	public double ploscina() {
		double p = 0.0;
		for (Lik l : this.liki) {
			p += l.ploscina();
		}
		return p;
	}

	@Override
	public String toString() {
		return "Skupek [liki=" + liki + ", x=" + x + ", y=" + y + "]";
	}

}
	
