package geometrija;

public abstract class Lik {
	
	// referenčna točka (atributi objekta)
	protected double x;
	protected double y;

	// konstruktor
	public Lik(double x, double y) {
		this.x = x;
		this.y = y;
	}
	
	public Lik() {
		this(0.0, 0.0);
	}

	@Override
	public String toString() {
		return "Lik [x=" + x + ", y=" + y + "]";
	}
		
	/**
	 * Premakni lik za dani vektor (dx, dy).
	 * @param dx
	 * @param dy
	 */
	public void premakni(double dx, double dy) {
		this.x += dx;
		this.y += dy;
	}

	public abstract double ploscina();
}
